//
//  WriteReviewViewController.swift
//  iAppsReview
//
//  Created by Kevin McNeish on 3/8/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit

class WriteReviewViewController: UITableViewController,
	UIImagePickerControllerDelegate, UINavigationControllerDelegate {

    @IBOutlet weak var imgThumbnail: UIImageView!
    @IBOutlet weak var tvwReview: UITextView!
    
    var image: UIImage?
    var imageURL: NSURL?
    
    @IBAction func accessPhotoLibrary(sender: AnyObject) {
        
        // Create the image picker controller
        let imagePickerController = UIImagePickerController()
        
        // Set the image picker controller properties
        imagePickerController.sourceType = UIImagePickerControllerSourceType.PhotoLibrary
        
        // Store a reference to the view controller in the delegate property
        imagePickerController.delegate = self
        
        // Display the image picker controller
        self.presentViewController(imagePickerController, animated: true, completion: nil)
    }
    
    func imagePickerController(picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [NSObject : AnyObject]) {
        
        self.dismissViewControllerAnimated(true, completion: nil)
        self.image = info[UIImagePickerControllerOriginalImage] as? UIImage
        self.imgThumbnail.image = self.image
    }
    
    func imagePickerControllerDidCancel(picker: UIImagePickerController) {
        self.dismissViewControllerAnimated(true, completion: nil)
    }
    
    @IBAction func shareReview(sender: AnyObject) {
        
        let activityItems = [self.tvwReview.text]
        
        let avc = UIActivityViewController(activityItems: activityItems, applicationActivities: nil)
        
        self.presentViewController(avc, animated: true, completion: nil)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        

        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
